<?php

namespace Modules\Unit\Interfaces;

use Modules\Unit\Models\Unit;

interface UnitRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Unit;
    public function update(array $request, Unit $unit): Unit;
    public function destroy(Unit $unit): void;
    public function destroyAll(array $ids): void;
    public function restore(Unit $unit): void;
    public function restoreAll(array $ids): void;
}
